Expo build:ios 2FA

Hey Expo Team,
I try to to build and upload an expo ios build in an CI environment and I get this sms prompt.
I am running it in github actions, so there is no way I can log into a VM and just do it myself or install fastalne etc. Is there a way to automate this?

Logs:

[09:25:20] Downloading build from https:exp-shell-app-assets.s3.us-west-1.amazonaws.com/ios/%40***/exclamo-mobile-696d84df-2940-49fe-9f55-258780336d33-archive.ipa

[09:25:27] Resolving the ITC team ID...

Two-factor Authentication (6 digits code) is enabled for account 'admin@exclamo.org'

More information about Two-factor Authentication: https://support.apple.com/en-us/HT204915

If you're running this in a non-interactive session (e.g. server or CI)

check out https://github.com/fastlane/fastlane/tree/master/spaceship#2-step-verification

(Input `sms` to escape this prompt and select a trusted phone number to send the code as a text message)

(You can also set the environment variable `SPACESHIP_2FA_SMS_DEFAULT_PHONE_NUMBER` to automate this)

(Read more at: https://github.com/fastlane/fastlane/blob/master/spaceship/docs/Authentication.md#auto-select-sms-via-spaceship-2fa-sms-default-phone-number)

Please enter the 6 digit code:

[09:25:33] Failed to upload the standalone app to the app store.

Expo CLI 3.15.5 environment info:
System:
OS: macOS 10.15.3
Shell: 5.7.1 - /bin/zsh
Binaries:
Node: 12.14.0 - ~/.nvm/versions/node/v12.14.0/bin/node
Yarn: 1.22.4 - /usr/local/bin/yarn
npm: 6.14.1 - ~/.nvm/versions/node/v12.14.0/bin/npm
IDEs:
Android Studio: 3.6 AI-192.7142.36.36.6241897
Xcode: 11.3.1/11C504 - /usr/bin/xcodebuild
npmPackages:
expo: ~36.0.0 => 36.0.2
react: ~16.9.0 => 16.9.0
react-native: https://github.com/expo/react-native/archive/sdk-36.0.0.tar.gz => 0.61.4
react-navigation: ^4.3.1 => 4.3.2
npmGlobalPackages:
expo-cli: 3.15.5Preformatted text

1 Like

This topic was automatically closed 20 days after the last reply. New replies are no longer allowed.